## org.w3c.www.http
Class CookieDate

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpDate
                  |
                  +--org.w3c.www.http.CookieDate

public class CookieDate
extends HttpDate

Field Summary
`protected static java.lang.String[]` `days`
`protected static java.lang.String[]` `months`

Fields inherited from class org.w3c.www.http.HttpDate
`bdays, bmonthes, cal, date`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`CookieDate(boolean isValid, long date)`

Method Summary
`protected void` `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.HttpDate
`getValue, parse, setValue`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### days

    protected static java.lang.String[] days

### months

    protected static java.lang.String[] months

Constructor Detail

### CookieDate

    public CookieDate(boolean isValid,
                      long date)

Method Detail

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class HttpDate